cURL
curl -X POST "https://app.cotool.ai/api/agent-schemas/generate" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"systemPrompt":"string","description":"string"}'import requests
url = "https://app.cotool.ai/api/agent-schemas/generate"
payload = {
"systemPrompt": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({systemPrompt: '<string>', description: '<string>'})
};
fetch('https://app.cotool.ai/api/agent-schemas/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/agent-schemas/generate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"systemPrompt\": \"<string>\",\n \"description\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agent-schemas/generate"
payload := strings.NewReader("{\n \"systemPrompt\": \"<string>\",\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"schema": {
"title": "<string>",
"description": "<string>",
"properties": {},
"items": {
"title": "<string>",
"description": "<string>",
"properties": {},
"items": "<unknown>",
"minItems": 1,
"maxItems": 1,
"required": [
"<string>"
],
"enum": [
"<string>"
],
"additionalProperties": true,
"x-cotool": {
"viewerId": "<string>"
}
},
"minItems": 1,
"maxItems": 1,
"required": [
"<string>"
],
"enum": [
"<string>"
],
"additionalProperties": true,
"x-cotool": {
"viewerId": "<string>"
}
},
"exampleOutput": "<string>"
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}AgentSchemas
Generate JSON Schema
Generate a JSON schema for agent structured output based on system prompt and description using an LLM.
POST
/
api
/
agent-schemas
/
generate
cURL
curl -X POST "https://app.cotool.ai/api/agent-schemas/generate" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"systemPrompt":"string","description":"string"}'import requests
url = "https://app.cotool.ai/api/agent-schemas/generate"
payload = {
"systemPrompt": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({systemPrompt: '<string>', description: '<string>'})
};
fetch('https://app.cotool.ai/api/agent-schemas/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/agent-schemas/generate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"systemPrompt\": \"<string>\",\n \"description\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agent-schemas/generate"
payload := strings.NewReader("{\n \"systemPrompt\": \"<string>\",\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"schema": {
"title": "<string>",
"description": "<string>",
"properties": {},
"items": {
"title": "<string>",
"description": "<string>",
"properties": {},
"items": "<unknown>",
"minItems": 1,
"maxItems": 1,
"required": [
"<string>"
],
"enum": [
"<string>"
],
"additionalProperties": true,
"x-cotool": {
"viewerId": "<string>"
}
},
"minItems": 1,
"maxItems": 1,
"required": [
"<string>"
],
"enum": [
"<string>"
],
"additionalProperties": true,
"x-cotool": {
"viewerId": "<string>"
}
},
"exampleOutput": "<string>"
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Body
application/json
Was this page helpful?
⌘I